## petsc4py 3.24.1

=== debian/changelog ===
petsc4py (3.24.1-1exp1) experimental; urgency=medium

  * New upstream release
    - new PETSc ABI 3.24
    - supports current cython. Closes: #1119759.
  * update debian patch build_docs.patch to reenable
    pydata-sphinx-theme, whose bug has been fixed.
    Build-Depends: python3-pydata-sphinx-theme <!nodoc>
  * Build-Depends: python3-numpy-dev (for dh_numpy3)

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 14:10:54 +0100
