=== debian/control ===
Source: petsc4py
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Francesco Ballarin <francesco.ballarin@unicatt.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 pybuild-plugin-pyproject,
 cython3 (>= 3~),
 python3-numpy,
 python3-numpy-dev,
 libpetsc-real3.24-dev,
 libpetsc-complex3.24-dev,
 libpetsc64-real3.24-dev,
 libpetsc64-complex3.24-dev,
 chrpath,
 mpi-default-dev,
 libhdf5-mpi-dev,
 sphinx | python3-sphinx | dh-sequence-sphinxdoc
Build-Depends-Indep:
 petsc3.24-doc <!nodoc>,
# python3-pydata-sphinx-theme <!nodoc>,
 python3-doc <!nodoc>,
 python-mpi4py-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-sphobjinv <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
Homepage: https://pypi.python.org/packages/source/p/petsc4py/

Package: python3-petsc4py
Architecture: all
Depends: python3:any,
 ${python3:Depends},
 ${misc:Depends},
 python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.24 | python3-petsc4py-complex3.24 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.24 | python3-petsc4py-64-complex3.24,
 python-petsc4py-doc
Recommends: libpetsc-real-dev | libpetsc-complex-dev
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a base package that depends on the python3 petsc4py package
 with either real or complex number support. It provides the path to
 petsc4py for the system's default PETSc version set in
 /usr/lib/petsc. Export environment variable PETSC_DIR to use other
 versions.

Package: python3-petsc4py-real
Architecture: all
Depends: python3-petsc4py-real3.24,
 ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support.

Package: python3-petsc4py-complex
Architecture: all
Depends: python3-petsc4py-complex3.24,
 ${misc:Depends}
Description: Python 3 bindings for PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support.

Package: python3-petsc4py-real3.24
Architecture: any
Depends: swig,
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: python3-petsc4py,
 python-petsc4py-doc
Description: Python 3 bindings for PETSc 3.24 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.24
 with real number support.

Package: python3-petsc4py-complex3.24
Architecture: any
Depends: swig,
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: python3-petsc4py,
 python-petsc4py-doc
Description: Python 3 bindings for PETSc 3.24 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.24
 with complex number support.

Package: python3-petsc4py-64-real
Architecture: all
Depends: python3-petsc4py-64-real3.24,
 ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex
Architecture: all
Depends: python3-petsc4py-64-complex3.24,
 ${misc:Depends}
Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package depending on the petsc4py build for the latest version
 of PETSc with complex number support and 64-bit indexing.

Package: python3-petsc4py-64-real3.24
Architecture: any
Depends: swig,
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: python3-petsc4py,
 python-petsc4py-doc
Description: Python 3 bindings for 64-bit PETSc 3.24 libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.24
 with real number support and 64-bit indexing.

Package: python3-petsc4py-64-complex3.24
Architecture: any
Depends: swig,
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: python3-petsc4py,
 python-petsc4py-doc
Description: Python 3 bindings for 64-bit PETSc 3.24 libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc 3.24
 with complex number support and 64-bit indexing.

Package: python-petsc4py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${sphinxdoc:Depends},
         sphinx-common,
         libjs-sphinxdoc
Recommends: python3-petsc4py
Conflicts: python-petsc
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.
