## petsc4py 3.24.3

=== debian/changelog ===
petsc4py (3.24.3-1) unstable; urgency=medium

  * New upstream release
  * update Homepage pypi url to https://pypi.org/project/petsc4py/
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jan 2026 01:38:59 +0100

petsc4py (3.24.1-2) unstable; urgency=medium

  * drop debian patch fixes_for_sphinx_MR8685.diff (applied upstream)
  * vendor pylit in debian/pylit.py, v0.8.0 from pypi tarball.
    Update debian patch build_docs.patch to enable use of pylit during
    doc build. Copyright Günter Milde with a GPL-3+ licence.

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Nov 2025 12:51:50 +0100
