=== debian/control ===
--- 
+++ 
@@ -30,10 +30,10 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-pydata-sphinx-theme <!nodoc>,
  python3-sphobjinv <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
 Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
-Homepage: https://pypi.python.org/packages/source/p/petsc4py/
+Homepage: https://pypi.org/project/petsc4py/
 
 Package: python3-petsc4py
 Architecture: all
