=== debian/rules ===
--- 
+++ 
@@ -75,8 +75,10 @@
 	if ! [ -d $(DOC_PYTHONPATH)/petsc4py ]; then \
 	  PYBUILD_NAME=petsc4py_real$(PETSC_VERSION) PETSC_DIR=$(PETSC_DIR_REAL)  pybuild -p$(PY3VER_DEFAULT) --build; \
 	fi
+	cp debian/pylit.py $(DOC_PYTHONPATH)
 	PYTHONPATH=$(DOC_PYTHONPATH) LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs http_proxy='127.0.0.1:9' sphinx-build -N -bhtml       docs/source build/html # HTML generator
 	PYTHONPATH=$(DOC_PYTHONPATH) LOC=/usr/share/doc/petsc$(PETSC_VERSION)-doc/docs http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/source build/man # Manpage generator
+	rm -f $(DOC_PYTHONPATH)/pylit.py
 endif
 
 override_dh_auto_install-arch:
