## petsc4py 3.24.4

=== debian/changelog ===
petsc4py (3.24.4-1) unstable; urgency=medium

  * New upstream release
  * Update F. Ballarin's email address

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 11:35:15 +0000
