=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
- Francesco Ballarin <francesco.ballarin@unicatt.it>
+ Francesco Ballarin <ballarin@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
